const express = require('express');
const path = require('path');
const app = express();

const port = 8005;
app.set('view engine', 'ejs');


app.use('/public', express.static(path.join(__dirname, 'public')));

app.get('/', (req, res) => {
    res.render('index');
});

app.get('/legal', (req, res) => {
    res.render('legal');
});

app.get('/legal/privacy', (req, res) => {
    res.render('privacy');
});

app.get('/legal/cgu', (req, res) => {
    res.render('cgu');
});

app.get('/bot/feathures', (req, res) => {
    res.render('feathures');
});

app.get('/bot/commands', (req, res) => {
    res.render('commands');
});

app.listen(port, () => {
    console.log(`Server is running on http://localhost:${port}`);
});
